{*kategorieProdukty*}
<section class="produkty-filtrace" n:snippet="filter">
    {*řazení produktů*}
    <div class="produkt-razeni">
        <a n:href="sortBy! 'nazev'" class="ajax {if $pageSetting['sortBy'] == 'nazev'}active{/if}">Názvu</a>
        <a n:href="sortBy! 'cena'" class="ajax {if $pageSetting['sortBy'] == 'cena'}active{/if}">Ceny</a>
        <a n:href="sort! 'ASC'" class="ajax {if $pageSetting['sort'] == 'ASC'}active{/if}">
            {if $pageSetting['sortBy'] == 'nazev'}<i class="fa-solid fa-arrow-down-a-z"></i>{/if}
            {if $pageSetting['sortBy'] == 'cena'}<i class="fa-solid fa-arrow-down-1-9"></i>{/if}
        </a>
        <a n:href="sort! 'DESC'" class="ajax {if $pageSetting['sort'] == 'DESC'}active{/if}">
            {if $pageSetting['sortBy'] == 'nazev'}<i class="fa-solid fa-arrow-up-a-z"></i>{/if}
            {if $pageSetting['sortBy'] == 'cena'}<i class="fa-solid fa-arrow-up-1-9"></i>{/if}
        </a>
    </div>
</section>
{if !empty($produkty)}
    {*filtrace produktu*}
    <section class="katalog-seznam-filtr">
        <a type="button" class=" btn show-tigger" data-target="katalog-filtrace" data-open="close">
            <i class="fas fa-filter me-2"></i>
            Filtrace
            <i class="icon fas fa-chevron-down ms-2"></i>
        </a>
        <div class="katalog-filtry" id="katalog-filtrace">
            <form n:name="filterForm" class="ajax">
                <div class="vlastnosti">
                    {foreach $katVlastnosti as $nazev => $hodnoty}
                        <div class="card">
                            <div class="card-header">
                                {$nazev}
                            </div>
                            <div class="card-body">
                                {foreach $hodnoty as $one}
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" name="vlastnosti_hodnoty[{$one['vlastnosti_id']}][]" value="{$one['id']}">
                                        <label class="form-check-label" for="flexCheckDefault">
                                            {$one['nazev']}
                                        </label>
                                    </div>
                                {/foreach}
                            </div>
                        </div>
                    {/foreach}
                </div>
                <div class="d-flex justify-content-end">
                    <button class="btn btn-success" n:name="send"><i class="fas fa-filter me-2"></i>Filtrovat</button>
                </div>
            </form>
        </div>
    </section>
    {*seznam produktu*}
    {*paginator*}
    {snippet seznam}
        <nav>
            <ul class="pagination">
                {if $paginator->isFirst()}
                    <li class="page-item disabled">
                        <a class="page-link" href="#">
                            <i class="fa-solid fa-chevron-left"></i>
                        </a>
                    </li>
                {/if}
                {if !$paginator->isFirst()}
                    <li class="page-item">
                        <a class="page-link ajax" n:href="page! $pageSetting['page'] - 1">
                            <i class="fa-solid fa-chevron-left"></i>
                        </a>
                    </li>
                {/if}
                {for $i = $left; $i <= $right; $i++}
                    {if $i == $paginator->page}
                        <li class="page-item active"><span class="page-link">{$i}</span></li>
                    {else}
                        <li class="page-item"><a class="page-link ajax" n:href="page! $i">{$i}</a></li>
                    {/if}
                {/for}
                {if !$paginator->isLast()}
                    <li class="page-item">
                        <a class="page-link ajax" n:href="page! $pageSetting['page'] + 1">
                            <i class="fa-solid fa-chevron-right"></i>
                        </a>
                    </li>
                {/if}
                {if $paginator->isLast()}
                    <li class="page-item disabled">
                        <a class="page-link" href="#">
                            <i class="fa-solid fa-chevron-right"></i>
                        </a>
                    </li>
                {/if}
            </ul>
        </nav>
        {*seznam*}
        <section class="produkty-seznam">
            {foreach $produkty as $one}
                <div class="produkt-card">
                    <div class="produkt-card-obraz">
                        <img src="{$basePath}/src/katalog/{$one->id}/images/thumbs/{$one->base_image}" title="{$one->nazev}">
                    </div>
                    <div class="produkt-card-nadpis">
                        {$one->nazev}
                    </div>
                    <div class="produkt-card-popis">
                        {$one->popis_short|noescape|truncate:160}
                    </div>
                    <div class="produkt-card-cena">
                        <span class="fs-4 fw-bold text-danger">{$one->cena_dph|number:0, ',', ' '} Kč</span>
                        <a href="{plink :Front:Katalog:Produkty:Detail:default $one->url, $kategorieId}" class="btn btn-dark">Detail</a>
                    </div>
                    <div class="produkt-card-kod">
                        <small class="fw-bold me-2">kód produktu:</small>{$one->kod}
                    </div>
                </div>
            {/foreach}
            <section class="katalog-loader spinner">
                <div class="loader"></div>
            </section>
        </section>
    {/snippet}
{else}
    Kategorie neobsahuje produkty.
{/if}
